# eric7.Project.LexerAssociationDialog

Module implementing a dialog to enter lexer associations for the project.

### Global Attributes

None

### Classes

LexerAssociationDialog | Class implementing a dialog to enter lexer associations for the project.

### Functions

None

## LexerAssociationDialog

Class implementing a dialog to enter lexer associations for the project.

### Derived from

QDialog, Ui_LexerAssociationDialog

### Class Attributes

None

### Class Methods

None

### Methods

LexerAssociationDialog | Constructor
on_addLexerButton_clicked | Private slot to add the lexer association displayed to the list.
on_deleteLexerButton_clicked | Private slot to delete the currently selected lexer association of the list.
on_editorLexerCombo_currentIndexChanged | Private slot to handle the selection of a lexer.
on_editorLexerList_itemActivated | Private slot to handle the activated signal of the lexer association list.
on_editorLexerList_itemClicked | Private slot to handle the clicked signal of the lexer association list.
transferData | Public slot to transfer the associations into the projects data structure.

### Static Methods

None

#### LexerAssociationDialog (Constructor)

LexerAssociationDialog(project, parent=None)

Constructor

project
  reference to the project object
parent
  reference to the parent widget (QWidget)

#### LexerAssociationDialog.on_addLexerButton_clicked

on_addLexerButton_clicked()

Private slot to add the lexer association displayed to the list.

#### LexerAssociationDialog.on_deleteLexerButton_clicked

on_deleteLexerButton_clicked()

Private slot to delete the currently selected lexer association of the list.

#### LexerAssociationDialog.on_editorLexerCombo_currentIndexChanged

on_editorLexerCombo_currentIndexChanged(index)

Private slot to handle the selection of a lexer.

index (int)
  index of the current item

#### LexerAssociationDialog.on_editorLexerList_itemActivated

on_editorLexerList_itemActivated(itm, column)

Private slot to handle the activated signal of the lexer association list.

itm
  reference to the selecte item (QTreeWidgetItem)
column
  column the item was clicked or activated (integer) (ignored)

#### LexerAssociationDialog.on_editorLexerList_itemClicked

on_editorLexerList_itemClicked(itm, column)

Private slot to handle the clicked signal of the lexer association list.

itm
  reference to the selecte item (QTreeWidgetItem)
column
  column the item was clicked or activated (integer) (ignored)

#### LexerAssociationDialog.transferData

transferData()

Public slot to transfer the associations into the projects data structure.

Up